Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.taglibs.standard.tag.common.core
Class WhenTagSupport

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          javax.servlet.jsp.jstl.core.ConditionalTagSupport
              org.apache.taglibs.standard.tag.common.core.WhenTagSupport

All Implemented Interfaces:
  Serializable, IterationTag, JspTag, Tag

Direct Known Subclasses:
  OtherwiseTag, WhenTag, WhenTag, WhenTag

    public abstract class WhenTagSupport

extends ConditionalTagSupport

WhenTagSupport is an abstract class that facilitates implementation of <when>-style tags in both the rtexprvalue and expression-evaluating libraries. It also supports <otherwise>.

In particular, this base class does the following:

- overrides ConditionalTagSupport.doStartTag() to implement the appropriate semantics of subtags of <choose>

Author:
  Shawn Bayern
See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`WhenTagSupport()`

Method Summary
`int` | `doStartTag()` Includes its body if `condition()` evaluates to true.

Methods inherited from class javax.servlet.jsp.jstl.core.ConditionalTagSupport
`condition, release, setScope, setVar`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WhenTagSupport

    public WhenTagSupport()

Method Detail

### doStartTag

    public int doStartTag()
                   throws JspException

  Description copied from class: `ConditionalTagSupport`
  Includes its body if `condition()` evaluates to true.

  Specified by:
    `doStartTag` in interface `Tag`
  Overrides:
    `doStartTag` in class `ConditionalTagSupport`
  Returns:
    SKIP_BODY
  Throws:
    `JspException` - if an error occurs while processing this tag
  See Also:
    `Tag.doStartTag()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.